package com.handong.smartservice.mapper;

import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;


@Mapper
public interface ErrorHistoryMapper {
    List<Map<String, Object>> selectErrorHistory(Boolean isCount, Boolean is_excel, Long offset, Long limit,
        String date_start, String date_end, String uid1, Long uid1_type, String slot);
    
    List<Map<String, Object>>  selectErrorHistoryByState(Long state);

    int insertErrorHistory(String uid1, Long uid1_type, String slot);
}
